Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.express.mdm
Class MdmObject

    java.lang.Object
      |
      +--oracle.express.mdm.MdmObject

Direct Known Subclasses:
  MdmSchema, MdmSource

Deprecated. As of Oracle9i, Release 2 (9.2.0.3), replaced by `MdmObject`.

public abstract class MdmObject
extends java.lang.Object
implements MetadataObject

Method Summary
`abstract java.lang.Object` | `acceptVisitor(MdmObjectVisitor visitor, java.lang.Object context)` Deprecated. See `MdmObject`.
`java.lang.String` | `getDescription()` Deprecated. See `MdmObject`.
`java.lang.String` | `getID()` Deprecated. Gets the unique identifier for this `MetadataObject`.
`com.sun.java.util.collections.List` | `getMdmTags()` Deprecated. See `MdmObject`.
`MdmMetadataProvider` | `getMetadataProvider()` Deprecated. See `MdmObject`.
`java.lang.String` | `getName()` Deprecated. See `MdmObject`.
`MdmObject` | `getNewMdmObject()` Deprecated.
`boolean` | `hasMdmTag(MdmTag tag)` Deprecated. See `MdmObject`.
`boolean` | `isDeleted()` Deprecated. See `MdmObject`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getID

    public final java.lang.String getID()

  Deprecated. See `MdmObject`.
  Description copied from interface: MetadataObject
  Gets the unique identifier for this `MetadataObject`.
  Specified by:
    getID in interface MetadataObject
  Tags copied from interface: MetadataObject
  Returns:
    A `String` that uniquely identifies this `MetadataObject`.

### getNewMdmObject

    public MdmObject getNewMdmObject()

  Deprecated.

### acceptVisitor

    public abstract java.lang.Object acceptVisitor(MdmObjectVisitor visitor,
                                                   java.lang.Object context)

  Deprecated. See `MdmObject`.

### getDescription

    public final java.lang.String getDescription()
                                          throws MetadataNotFoundException

  Deprecated. See `MdmObject`.

### getMdmTags

    public com.sun.java.util.collections.List getMdmTags()

  Deprecated. See `MdmObject`.

### getMetadataProvider

    public final MdmMetadataProvider getMetadataProvider()

  Deprecated. See `MdmObject`.

### getName

    public final java.lang.String getName()
                                   throws MetadataNotFoundException

  Deprecated. See `MdmObject`.

### hasMdmTag

    public boolean hasMdmTag(MdmTag tag)

  Deprecated. See `MdmObject`.

### isDeleted

    public final boolean isDeleted()

  Deprecated. See `MdmObject`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.